Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class RemittanceAmount3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.RemittanceAmount3

public class RemittanceAmount3 extends Object

Java class for RemittanceAmount3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceAmount3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DuePyblAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="DscntApldAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DiscountAmountAndType1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CdtNoteAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="TaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TaxAmountAndType1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AdjstmntAmtAndRsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DocumentAdjustment1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RmtdAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<DocumentAdjustment1>`
`adjstmntAmtAndRsn`
`protected ActiveOrHistoricCurrencyAndAmount`
`cdtNoteAmt`
`protected List<DiscountAmountAndType1>`
`dscntApldAmt`
`protected ActiveOrHistoricCurrencyAndAmount`
`duePyblAmt`
`protected ActiveOrHistoricCurrencyAndAmount`
`rmtdAmt`
`protected List<TaxAmountAndType1>`
`taxAmt`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceAmount3()`

## Method Summary

Modifier and Type
Method
Description
`List<DocumentAdjustment1>`
`getAdjstmntAmtAndRsn()`
Gets the value of the adjstmntAmtAndRsn property.
`ActiveOrHistoricCurrencyAndAmount`
`getCdtNoteAmt()`
Gets the value of the cdtNoteAmt property.
`List<DiscountAmountAndType1>`
`getDscntApldAmt()`
Gets the value of the dscntApldAmt property.
`ActiveOrHistoricCurrencyAndAmount`
`getDuePyblAmt()`
Gets the value of the duePyblAmt property.
`ActiveOrHistoricCurrencyAndAmount`
`getRmtdAmt()`
Gets the value of the rmtdAmt property.
`List<TaxAmountAndType1>`
`getTaxAmt()`
Gets the value of the taxAmt property.
`void`
`setCdtNoteAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the cdtNoteAmt property.
`void`
`setDuePyblAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the duePyblAmt property.
`void`
`setRmtdAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the rmtdAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### duePyblAmt

protected ActiveOrHistoricCurrencyAndAmount duePyblAmt

### dscntApldAmt

protected List<DiscountAmountAndType1> dscntApldAmt

### cdtNoteAmt

protected ActiveOrHistoricCurrencyAndAmount cdtNoteAmt

### taxAmt

protected List<TaxAmountAndType1> taxAmt

### adjstmntAmtAndRsn

protected List<DocumentAdjustment1> adjstmntAmtAndRsn

### rmtdAmt

protected ActiveOrHistoricCurrencyAndAmount rmtdAmt

## Constructor Details

### RemittanceAmount3

public RemittanceAmount3()

## Method Details

### getDuePyblAmt

public ActiveOrHistoricCurrencyAndAmount getDuePyblAmt()
Gets the value of the duePyblAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setDuePyblAmt

public void setDuePyblAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the duePyblAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getDscntApldAmt

public List<DiscountAmountAndType1> getDscntApldAmt()
Gets the value of the dscntApldAmt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dscntApldAmt property.

For example, to add a new item, do as follows:

        getDscntApldAmt().add(newItem);

Objects of the following type(s) are allowed in the list `DiscountAmountAndType1`

### getCdtNoteAmt

public ActiveOrHistoricCurrencyAndAmount getCdtNoteAmt()
Gets the value of the cdtNoteAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setCdtNoteAmt

public void setCdtNoteAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the cdtNoteAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getTaxAmt

public List<TaxAmountAndType1> getTaxAmt()
Gets the value of the taxAmt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taxAmt property.

For example, to add a new item, do as follows:

        getTaxAmt().add(newItem);

Objects of the following type(s) are allowed in the list `TaxAmountAndType1`

### getAdjstmntAmtAndRsn

public List<DocumentAdjustment1> getAdjstmntAmtAndRsn()
Gets the value of the adjstmntAmtAndRsn property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adjstmntAmtAndRsn property.

For example, to add a new item, do as follows:

        getAdjstmntAmtAndRsn().add(newItem);

Objects of the following type(s) are allowed in the list `DocumentAdjustment1`

### getRmtdAmt

public ActiveOrHistoricCurrencyAndAmount getRmtdAmt()
Gets the value of the rmtdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setRmtdAmt

public void setRmtdAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the rmtdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`